> ## Documentation Index
> Fetch the complete documentation index at: https://docs.judit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a registration data request

> This endpoint queries registration data by CPF, CNPJ, name, or RJI.



## OpenAPI

````yaml openapi/lawsuits.json POST /entities
openapi: 3.0.0
info:
  title: JUDIT - Lawsuits API
  version: v1.28.8
servers:
  - url: https://lawsuits.production.judit.io
    description: Production server
security: []
paths:
  /entities:
    post:
      tags:
        - Dados Cadastrais
      summary: Dados cadastrais
      description: |-
        Busca dados cadastrais e de identificação de pessoa ou empresa 
         
                    conforme tipo e chave de pesquisa informados.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Entities.Body.Post'
            example:
              search:
                search_type: cpf
                search_key: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entities.Response.Post'
        '401':
          description: Unauthorized - Missing or invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpUnauthorizedError'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpForbiddenError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpInternalServerError'
      security:
        - jwtAuth: []
        - apiKeyAuth: []
components:
  schemas:
    Entities.Body.Post:
      type: object
      properties:
        search:
          type: object
          properties:
            on_demand:
              type: boolean
            search_type:
              type: string
              enum:
                - cpf
                - cnpj
                - name
            search_key:
              type: string
          required:
            - search_type
            - search_key
        reveal_partners_documents:
          type: boolean
      required:
        - search
    Entities.Response.Post:
      type: object
      properties:
        request_id:
          type: string
        response_data:
          type: array
          items:
            type: object
            properties:
              entity_id:
                type: string
              entity_type:
                type: string
                enum:
                  - person
                  - company
              name:
                type: string
              social_name:
                type: string
              main_document:
                type: string
              documents:
                default: []
                type: array
                items:
                  type: object
                  properties:
                    document:
                      type: string
                    document_type:
                      type: string
                      enum:
                        - cpf
                        - cnpj
                        - ie
                        - im
                        - rg
                        - oab
                        - rji
                        - other
              addresses:
                default: []
                type: array
                items:
                  type: object
                  properties:
                    street:
                      type: string
                    number:
                      type: string
                    complement:
                      type: string
                    neighborhood:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                      enum:
                        - AC
                        - AL
                        - AP
                        - AM
                        - BA
                        - CE
                        - DF
                        - ES
                        - GO
                        - MA
                        - MT
                        - MS
                        - MG
                        - PA
                        - PB
                        - PR
                        - PE
                        - PI
                        - RJ
                        - RN
                        - RS
                        - RO
                        - RR
                        - SC
                        - SP
                        - SE
                        - TO
                        - XX
                    zip_code:
                      type: string
                    ibge_code:
                      type: number
                    country:
                      type: string
              contacts:
                default: []
                type: array
                items:
                  type: object
                  properties:
                    contact_type:
                      type: string
                      enum:
                        - email
                        - phone
                        - other
                    description:
                      type: string
                  required:
                    - contact_type
              aka_names:
                default: []
                type: array
                items:
                  type: string
              parents:
                default: []
                type: array
                items:
                  type: object
                  properties:
                    entity_id:
                      type: string
                    name:
                      type: string
                    kinship:
                      type: string
                      enum:
                        - father
                        - mother
                        - brother
                        - sister
                        - son
                        - daughter
                        - grandparent
                        - grandma
                        - cousin
                        - uncle
                        - other
              birth_date:
                type: string
                format: date-time
              place_of_birth:
                type: string
              nationality:
                type: string
              regime:
                type: string
              gender:
                type: string
                enum:
                  - male
                  - female
              ethnicity:
                type: string
              tags:
                type: object
                additionalProperties:
                  anyOf:
                    - type: string
                    - type: number
                    - type: boolean
                    - type: string
                      format: date-time
                    - {}
              latest_searches:
                default: []
                type: array
                items:
                  type: object
                  properties:
                    search_type:
                      type: string
                      enum:
                        - cpf
                        - cnpj
                        - oab
                        - name
                        - rji
                        - lawsuit_cnj
                        - lawsuit_attachment
                        - execution_attachment
                        - custom
                    updated_at:
                      type: string
                      format: date-time
                  required:
                    - search_type
              legal_nature:
                type: object
                properties:
                  code:
                    type: string
                  name:
                    type: string
                  active:
                    type: boolean
                required:
                  - code
                  - name
                  - active
              head_office:
                type: boolean
              branch_activities:
                default: []
                type: array
                items:
                  type: object
                  properties:
                    code:
                      type: string
                    name:
                      type: string
                    main_activity:
                      type: boolean
                    tree_history:
                      type: string
                    active:
                      type: boolean
                  required:
                    - code
                    - name
                    - main_activity
                    - tree_history
                    - active
              position:
                type: string
              profession:
                type: string
              size:
                type: string
              is_public:
                type: boolean
              closing_date:
                type: string
                format: date-time
              disabled_person:
                type: boolean
              deficiency:
                type: string
              revenue_service_updated_at:
                type: string
                format: date-time
              revenue_service_active:
                type: boolean
              revenue_service_status:
                type: string
              share_capital:
                type: number
              special_status:
                type: string
              special_status_date:
                type: string
                format: date-time
              responsible_qualification_id:
                type: string
              age_group:
                type: string
              pep:
                default: []
                type: array
                items:
                  type: object
                  properties:
                    function:
                      type: string
                    function_acronym:
                      type: string
                    organ_name:
                      type: string
                    start_date:
                      type: string
                      format: date-time
                    end_date:
                      type: string
                      format: date-time
                    grace_period_end:
                      type: string
                      format: date-time
              entry_date:
                type: string
                format: date-time
              created_at:
                type: string
                format: date-time
              updated_at:
                type: string
                format: date-time
              partners: {}
              associated_people: {}
            required:
              - entity_type
              - name
              - partners
      required:
        - request_id
        - response_data
    HttpUnauthorizedError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpUnauthorizedError
            message:
              type: string
              example: UNAUTHORIZED
            stack:
              type: string
            data:
              type: string
              example: User must be authenticated
    HttpForbiddenError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpForbiddenError
            message:
              type: string
              example: FORBIDDEN
            stack:
              type: string
            data:
              type: string
              example: Authenticated user is not authorized
    HttpInternalServerError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpInternalServerError
            message:
              type: string
              example: INTERNAL_SERVER_ERROR
            stack:
              type: string
            data:
              type: object
              example:
                message: Database connection failed
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token for authentication
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: API key for authentication

````